libzypp 17.37.10

asyncop.h File Reference
`#include <zypp-core/zyppng/meta/type_traits.h>`
`#include <zypp-core/zyppng/base/Base>`
`#include <zypp-core/base/Exception.h>`
`#include <zypp-core/zyppng/base/Signals>`
`#include <optional>`
`#include <memory>`

Go to the source code of this file.

## Classes
struct | zyppng::detail::has_value_type< T, Enable >
struct | zyppng::detail::has_value_type< T, std::void_t< typename T::value_type > >
struct | zyppng::detail::is_asyncop_type< T, Enable >
struct | zyppng::detail::is_asyncop_type< T, std::enable_if_t< std::is_convertible_v< T *, AsyncOp< typename T::value_type > * > > >
class | zyppng::AsyncOpNotReadyException
class | zyppng::CancelNotImplementedException
class | zyppng::AsyncOpBase
class | zyppng::AsyncOp< Result >
struct | zyppng::NestedAsyncOpMixin< Base, Result >
struct | zyppng::detail::ReadyResult< T >

## Namespaces
namespace | zyppng
namespace | zyppng::detail

## Typedefs
template<typename T>
using | zyppng::detail::is_async_op
template<typename T>
using | zyppng::AsyncOpRef = std::shared_ptr<AsyncOp<T>>

## Functions
| zyppng::ZYPP_FWD_DECL_TYPE_WITH_REFS (AsyncOpBase)
template<typename T, bool isAsync = true>
std::conditional_t< isAsync, AsyncOpRef< T >, T > | zyppng::makeReadyResult (T &&result)

## Variables
template<typename T>
constexpr bool | zyppng::detail::has_value_type_v = has_value_type<T>::value
template<typename T>
constexpr bool | zyppng::detail::is_asyncop_type_v = is_asyncop_type<T>::value
template<typename T>
constexpr bool | zyppng::detail::is_async_op_v = is_async_op<T>::value